# loadUserData

```lua
return function()
    local user = getUser('clonzeh');
    if user == nil then
        log('user does not exist!');
        return;
    end
    
    local mData = user.loadUserData('custom name');
    if mData ~= nil then 
        
        --make sure to look at docs for saveUserData to know how to make data exist!
        
        local str = json.serialize(mData); --this prints what the data looks like.
        log(str);
        
        --example of using the data:
        log(mData.test); --if you use the saveUserData example, this will print 5
    else
        log('the user data does not exist!');
    end
end
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.streamavatars.com/lua-scripting-api/api-reference-and-tips/classes/user/loaduserdata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
